<?php

namespace App\Http\Middleware;

use Closure;
use Carbon\Carbon;

class SetTimezone
{
    public function handle($request, Closure $next)
    {
        // Set timezone untuk seluruh aplikasi
        Carbon::setLocale('id');
        date_default_timezone_set('Asia/Jakarta');
        
        return $next($request);
    }
}